Skip to main content
`Ctrl`+`K`

# KSPFETIDPGetInnerKSP

Gets the `KSP` object for the Lagrange multipliers from inside a `KSPFETIDP`

## Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPGetInnerKSP(KSP ksp, KSP *innerksp)

## Input Parameter

- ksp - the `KSPFETIDP`

## Output Parameter

- innerksp - the `KSP` for the multipliers

## See Also

KSP: Linear System Solvers, `KSPFETIDP`, `MATIS`, `PCBDDC`, `KSPFETIDPSetInnerBDDC()`, `KSPFETIDPGetInnerBDDC()`

## Level

advanced

## Location

src/ksp/ksp/impls/fetidp/fetidp.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

KSPFETIDPGetInnerKSP_FETIDP() in src/ksp/ksp/impls/fetidp/fetidp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages